#ifndef _LIBXTADM_H
#define _LIBXTADM_H 1

#ifdef __cplusplus
#	include <cstdlib>
#else
#	include <stdlib.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

enum xtadm_exit_code {
	XTADM_EXIT_SUCCESS = EXIT_SUCCESS,
	XTADM_EXIT_FAILURE = EXIT_FAILURE,
	XTADM_EXIT_UNKNOWN_OPTION,
};

struct xtadm_handle;

extern int xtadm_init(void);
extern void xtadm_exit(void);
extern int xtadm_open(struct xtadm_handle **);
extern void xtadm_close(struct xtadm_handle *);
extern int xtadm_execl(struct xtadm_handle *, ...);
extern int xtadm_execvn(struct xtadm_handle *, int, char *const *);
extern int xtadm_exec(struct xtadm_handle *, const char *);
extern int xtadm_execf(struct xtadm_handle *, const char *);
extern int xtadm_args_split(const char *, char ***);
extern void xtadm_args_free(char **);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* _LIBXTADM_H */
