#include <errno.h>
#include <stdio.h>
#include <string.h>
#include "internal.h"

int xtadm_restore(struct xtadm_handle *adm, const char *file,
                  unsigned int flags)
{
	FILE *fp;
	int ret;

	if (strcmp(file, "-") == 0) {
		fp = stdin;
	} else {
		fp = fopen(file, "r");
		ret = -errno;
		if (fp == NULL) {
			fprintf(stderr, "WARNING: %s: fopen: %s\n",
			        __func__, file, strerror(errno));
			return ret;
		}
	}

	if (!(flags & XTADM_RESTORE_NOFLUSH))
		xtadm_execl(adm, "-F");

	while (HX_getl(&line, fp) != NULL) {
	}

	fclose(fp);
}
